<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Serialized Form (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
    <script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Serialized Form (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="overview-summary.html">Overview</a></li>
        <li>Package</li>
        <li>Class</li>
        <li>Use</li>
        <li><a href="overview-tree.html">Tree</a></li>
        <li><a href="deprecated-list.html">Deprecated</a></li>
        <li><a href="index-all.html">Index</a></li>
        <li><a href="help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
        <li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Serialized Form" class="title">Serialized Form</h1>
</div>
<div class="serializedFormContainer">
    <ul class="blockList">
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.EmptyFileException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/EmptyFileException.html" title="class in org.apache.poi">org.apache.poi.EmptyFileException</a>
                        extends java.lang.IllegalArgumentException implements Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>1536449292174360166L</dd>
                    </dl>
                </li>
                <li class="blockList"><a name="org.apache.poi.EncryptedDocumentException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/EncryptedDocumentException.html" title="class in org.apache.poi">org.apache.poi.EncryptedDocumentException</a>
                        extends java.lang.IllegalStateException implements Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>7276950444540469193L</dd>
                    </dl>
                </li>
                <li class="blockList"><a name="org.apache.poi.OldFileFormatException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/OldFileFormatException.html" title="class in org.apache.poi">org.apache.poi.OldFileFormatException</a>
                        extends <a href="org/apache/poi/UnsupportedFileFormatException.html"
                                   title="class in org.apache.poi">UnsupportedFileFormatException</a> implements
                        Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>7849681804154571175L</dd>
                    </dl>
                </li>
                <li class="blockList"><a name="org.apache.poi.UnsupportedFileFormatException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/UnsupportedFileFormatException.html"
                                 title="class in org.apache.poi">org.apache.poi.UnsupportedFileFormatException</a>
                        extends java.lang.IllegalArgumentException implements Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>-8281969197282030046L</dd>
                    </dl>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.hdgf.exceptions</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hdgf.exceptions.HDGFException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hdgf/exceptions/HDGFException.html"
                                 title="class in org.apache.poi.hdgf.exceptions">org.apache.poi.hdgf.exceptions.HDGFException</a>
                        extends java.lang.RuntimeException implements Serializable</h3>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.hpsf</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hpsf.HPSFException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hpsf/HPSFException.html" title="class in org.apache.poi.hpsf">org.apache.poi.hpsf.HPSFException</a>
                        extends java.lang.Exception implements Serializable</h3>
                    <ul class="blockList">
                        <li class="blockList">
                            <h3>Serialized Fields</h3>
                            <ul class="blockList">
                                <li class="blockListLast">
                                    <h4>reason</h4>
                                    <pre>java.lang.Throwable reason</pre>
                                    <div class="block"><p>The underlying reason for this exception - may be
                                        <code>null</code>.</p></div>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpsf.HPSFRuntimeException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hpsf/HPSFRuntimeException.html"
                                 title="class in org.apache.poi.hpsf">org.apache.poi.hpsf.HPSFRuntimeException</a>
                        extends java.lang.RuntimeException implements Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>-7804271670232727159L</dd>
                    </dl>
                    <ul class="blockList">
                        <li class="blockList">
                            <h3>Serialized Fields</h3>
                            <ul class="blockList">
                                <li class="blockListLast">
                                    <h4>reason</h4>
                                    <pre>java.lang.Throwable reason</pre>
                                    <div class="block"><p>The underlying reason for this exception - may be
                                        <code>null</code>.</p></div>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpsf.IllegalPropertySetDataException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hpsf/IllegalPropertySetDataException.html"
                                 title="class in org.apache.poi.hpsf">org.apache.poi.hpsf.IllegalPropertySetDataException</a>
                        extends <a href="org/apache/poi/hpsf/HPSFRuntimeException.html"
                                   title="class in org.apache.poi.hpsf">HPSFRuntimeException</a> implements Serializable
                    </h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpsf.IllegalVariantTypeException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hpsf/IllegalVariantTypeException.html"
                                 title="class in org.apache.poi.hpsf">org.apache.poi.hpsf.IllegalVariantTypeException</a>
                        extends <a href="org/apache/poi/hpsf/VariantTypeException.html"
                                   title="class in org.apache.poi.hpsf">VariantTypeException</a> implements Serializable
                    </h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpsf.MarkUnsupportedException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hpsf/MarkUnsupportedException.html"
                                 title="class in org.apache.poi.hpsf">org.apache.poi.hpsf.MarkUnsupportedException</a>
                        extends <a href="org/apache/poi/hpsf/HPSFException.html" title="class in org.apache.poi.hpsf">HPSFException</a>
                        implements Serializable</h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpsf.MissingSectionException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hpsf/MissingSectionException.html"
                                 title="class in org.apache.poi.hpsf">org.apache.poi.hpsf.MissingSectionException</a>
                        extends <a href="org/apache/poi/hpsf/HPSFRuntimeException.html"
                                   title="class in org.apache.poi.hpsf">HPSFRuntimeException</a> implements Serializable
                    </h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpsf.NoFormatIDException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hpsf/NoFormatIDException.html"
                                 title="class in org.apache.poi.hpsf">org.apache.poi.hpsf.NoFormatIDException</a>
                        extends <a href="org/apache/poi/hpsf/HPSFRuntimeException.html"
                                   title="class in org.apache.poi.hpsf">HPSFRuntimeException</a> implements Serializable
                    </h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpsf.NoPropertySetStreamException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hpsf/NoPropertySetStreamException.html"
                                 title="class in org.apache.poi.hpsf">org.apache.poi.hpsf.NoPropertySetStreamException</a>
                        extends <a href="org/apache/poi/hpsf/HPSFException.html" title="class in org.apache.poi.hpsf">HPSFException</a>
                        implements Serializable</h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpsf.NoSingleSectionException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hpsf/NoSingleSectionException.html"
                                 title="class in org.apache.poi.hpsf">org.apache.poi.hpsf.NoSingleSectionException</a>
                        extends <a href="org/apache/poi/hpsf/HPSFRuntimeException.html"
                                   title="class in org.apache.poi.hpsf">HPSFRuntimeException</a> implements Serializable
                    </h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpsf.ReadingNotSupportedException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hpsf/ReadingNotSupportedException.html"
                                 title="class in org.apache.poi.hpsf">org.apache.poi.hpsf.ReadingNotSupportedException</a>
                        extends <a href="org/apache/poi/hpsf/UnsupportedVariantTypeException.html"
                                   title="class in org.apache.poi.hpsf">UnsupportedVariantTypeException</a> implements
                        Serializable</h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpsf.UnexpectedPropertySetTypeException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hpsf/UnexpectedPropertySetTypeException.html"
                                 title="class in org.apache.poi.hpsf">org.apache.poi.hpsf.UnexpectedPropertySetTypeException</a>
                        extends <a href="org/apache/poi/hpsf/HPSFException.html" title="class in org.apache.poi.hpsf">HPSFException</a>
                        implements Serializable</h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpsf.UnsupportedVariantTypeException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hpsf/UnsupportedVariantTypeException.html"
                                 title="class in org.apache.poi.hpsf">org.apache.poi.hpsf.UnsupportedVariantTypeException</a>
                        extends <a href="org/apache/poi/hpsf/VariantTypeException.html"
                                   title="class in org.apache.poi.hpsf">VariantTypeException</a> implements Serializable
                    </h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpsf.VariantTypeException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hpsf/VariantTypeException.html"
                                 title="class in org.apache.poi.hpsf">org.apache.poi.hpsf.VariantTypeException</a>
                        extends <a href="org/apache/poi/hpsf/HPSFException.html" title="class in org.apache.poi.hpsf">HPSFException</a>
                        implements Serializable</h3>
                    <ul class="blockList">
                        <li class="blockList">
                            <h3>Serialized Fields</h3>
                            <ul class="blockList">
                                <li class="blockList">
                                    <h4>value</h4>
                                    <pre>java.lang.Object value</pre>
                                </li>
                                <li class="blockListLast">
                                    <h4>variantType</h4>
                                    <pre>long variantType</pre>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <li class="blockList"><a name="org.apache.poi.hpsf.WritingNotSupportedException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hpsf/WritingNotSupportedException.html"
                                 title="class in org.apache.poi.hpsf">org.apache.poi.hpsf.WritingNotSupportedException</a>
                        extends <a href="org/apache/poi/hpsf/UnsupportedVariantTypeException.html"
                                   title="class in org.apache.poi.hpsf">UnsupportedVariantTypeException</a> implements
                        Serializable</h3>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.hslf.exceptions</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hslf.exceptions.CorruptPowerPointFileException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hslf/exceptions/CorruptPowerPointFileException.html"
                                 title="class in org.apache.poi.hslf.exceptions">org.apache.poi.hslf.exceptions.CorruptPowerPointFileException</a>
                        extends java.lang.IllegalStateException implements Serializable</h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.exceptions.EncryptedPowerPointFileException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hslf/exceptions/EncryptedPowerPointFileException.html"
                                 title="class in org.apache.poi.hslf.exceptions">org.apache.poi.hslf.exceptions.EncryptedPowerPointFileException</a>
                        extends <a href="org/apache/poi/EncryptedDocumentException.html"
                                   title="class in org.apache.poi">EncryptedDocumentException</a> implements
                        Serializable</h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.exceptions.HSLFException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hslf/exceptions/HSLFException.html"
                                 title="class in org.apache.poi.hslf.exceptions">org.apache.poi.hslf.exceptions.HSLFException</a>
                        extends java.lang.RuntimeException implements Serializable</h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.hslf.exceptions.OldPowerPointFormatException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hslf/exceptions/OldPowerPointFormatException.html"
                                 title="class in org.apache.poi.hslf.exceptions">org.apache.poi.hslf.exceptions.OldPowerPointFormatException</a>
                        extends <a href="org/apache/poi/OldFileFormatException.html" title="class in org.apache.poi">OldFileFormatException</a>
                        implements Serializable</h3>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.hsmf.datatypes</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hsmf.datatypes.AttachmentChunks.AttachmentChunksSorter">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hsmf/datatypes/AttachmentChunks.AttachmentChunksSorter.html"
                                 title="class in org.apache.poi.hsmf.datatypes">org.apache.poi.hsmf.datatypes.AttachmentChunks.AttachmentChunksSorter</a>
                        extends java.lang.Object implements Serializable</h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.hsmf.datatypes.RecipientChunks.RecipientChunksSorter">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hsmf/datatypes/RecipientChunks.RecipientChunksSorter.html"
                                 title="class in org.apache.poi.hsmf.datatypes">org.apache.poi.hsmf.datatypes.RecipientChunks.RecipientChunksSorter</a>
                        extends java.lang.Object implements Serializable</h3>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.hsmf.exceptions</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hsmf.exceptions.ChunkNotFoundException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hsmf/exceptions/ChunkNotFoundException.html"
                                 title="class in org.apache.poi.hsmf.exceptions">org.apache.poi.hsmf.exceptions.ChunkNotFoundException</a>
                        extends java.lang.Exception implements Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>1L</dd>
                    </dl>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.hssf</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.OldExcelFormatException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hssf/OldExcelFormatException.html"
                                 title="class in org.apache.poi.hssf">org.apache.poi.hssf.OldExcelFormatException</a>
                        extends <a href="org/apache/poi/OldFileFormatException.html" title="class in org.apache.poi">OldFileFormatException</a>
                        implements Serializable</h3>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.hssf.eventusermodel</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.eventusermodel.HSSFUserException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hssf/eventusermodel/HSSFUserException.html"
                                 title="class in org.apache.poi.hssf.eventusermodel">org.apache.poi.hssf.eventusermodel.HSSFUserException</a>
                        extends java.lang.Exception implements Serializable</h3>
                    <ul class="blockList">
                        <li class="blockList">
                            <h3>Serialized Fields</h3>
                            <ul class="blockList">
                                <li class="blockListLast">
                                    <h4>reason</h4>
                                    <pre>java.lang.Throwable reason</pre>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.hssf.model</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.model.InternalSheet.UnsupportedBOFType">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hssf/model/InternalSheet.UnsupportedBOFType.html"
                                 title="class in org.apache.poi.hssf.model">org.apache.poi.hssf.model.InternalSheet.UnsupportedBOFType</a>
                        extends <a href="org/apache/poi/util/RecordFormatException.html"
                                   title="class in org.apache.poi.util">RecordFormatException</a> implements
                        Serializable</h3>
                    <ul class="blockList">
                        <li class="blockList">
                            <h3>Serialized Fields</h3>
                            <ul class="blockList">
                                <li class="blockListLast">
                                    <h4>type</h4>
                                    <pre>int type</pre>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.hssf.record</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.record.RecordInputStream.LeftoverDataException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hssf/record/RecordInputStream.LeftoverDataException.html"
                                 title="class in org.apache.poi.hssf.record">org.apache.poi.hssf.record.RecordInputStream.LeftoverDataException</a>
                        extends java.lang.RuntimeException implements Serializable</h3>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.hwpf</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hwpf.OldWordFileFormatException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hwpf/OldWordFileFormatException.html"
                                 title="class in org.apache.poi.hwpf">org.apache.poi.hwpf.OldWordFileFormatException</a>
                        extends <a href="org/apache/poi/OldFileFormatException.html" title="class in org.apache.poi">OldFileFormatException</a>
                        implements Serializable</h3>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.hwpf.model</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hwpf.model.TextPieceTable.FCComparator">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/hwpf/model/TextPieceTable.FCComparator.html"
                                 title="class in org.apache.poi.hwpf.model">org.apache.poi.hwpf.model.TextPieceTable.FCComparator</a>
                        extends java.lang.Object implements Serializable</h3>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.ooxml</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.ooxml.POIXMLException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/ooxml/POIXMLException.html" title="class in org.apache.poi.ooxml">org.apache.poi.ooxml.POIXMLException</a>
                        extends java.lang.RuntimeException implements Serializable</h3>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.openxml4j.exceptions</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.openxml4j.exceptions.InvalidFormatException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/openxml4j/exceptions/InvalidFormatException.html"
                                 title="class in org.apache.poi.openxml4j.exceptions">org.apache.poi.openxml4j.exceptions.InvalidFormatException</a>
                        extends <a href="org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                   title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JException</a>
                        implements Serializable</h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.openxml4j.exceptions.InvalidOperationException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/openxml4j/exceptions/InvalidOperationException.html"
                                 title="class in org.apache.poi.openxml4j.exceptions">org.apache.poi.openxml4j.exceptions.InvalidOperationException</a>
                        extends <a href="org/apache/poi/openxml4j/exceptions/OpenXML4JRuntimeException.html"
                                   title="class in org.apache.poi.openxml4j.exceptions">OpenXML4JRuntimeException</a>
                        implements Serializable</h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.openxml4j.exceptions.NotOfficeXmlFileException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/openxml4j/exceptions/NotOfficeXmlFileException.html"
                                 title="class in org.apache.poi.openxml4j.exceptions">org.apache.poi.openxml4j.exceptions.NotOfficeXmlFileException</a>
                        extends <a href="org/apache/poi/UnsupportedFileFormatException.html"
                                   title="class in org.apache.poi">UnsupportedFileFormatException</a> implements
                        Serializable</h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.openxml4j.exceptions.ODFNotOfficeXmlFileException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/openxml4j/exceptions/ODFNotOfficeXmlFileException.html"
                                 title="class in org.apache.poi.openxml4j.exceptions">org.apache.poi.openxml4j.exceptions.ODFNotOfficeXmlFileException</a>
                        extends <a href="org/apache/poi/openxml4j/exceptions/NotOfficeXmlFileException.html"
                                   title="class in org.apache.poi.openxml4j.exceptions">NotOfficeXmlFileException</a>
                        implements Serializable</h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.openxml4j.exceptions.OLE2NotOfficeXmlFileException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/openxml4j/exceptions/OLE2NotOfficeXmlFileException.html"
                                 title="class in org.apache.poi.openxml4j.exceptions">org.apache.poi.openxml4j.exceptions.OLE2NotOfficeXmlFileException</a>
                        extends <a href="org/apache/poi/openxml4j/exceptions/NotOfficeXmlFileException.html"
                                   title="class in org.apache.poi.openxml4j.exceptions">NotOfficeXmlFileException</a>
                        implements Serializable</h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.openxml4j.exceptions.OpenXML4JException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/openxml4j/exceptions/OpenXML4JException.html"
                                 title="class in org.apache.poi.openxml4j.exceptions">org.apache.poi.openxml4j.exceptions.OpenXML4JException</a>
                        extends java.lang.Exception implements Serializable</h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.openxml4j.exceptions.OpenXML4JRuntimeException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/openxml4j/exceptions/OpenXML4JRuntimeException.html"
                                 title="class in org.apache.poi.openxml4j.exceptions">org.apache.poi.openxml4j.exceptions.OpenXML4JRuntimeException</a>
                        extends java.lang.RuntimeException implements Serializable</h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.openxml4j.exceptions.PartAlreadyExistsException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/openxml4j/exceptions/PartAlreadyExistsException.html"
                                 title="class in org.apache.poi.openxml4j.exceptions">org.apache.poi.openxml4j.exceptions.PartAlreadyExistsException</a>
                        extends <a href="org/apache/poi/openxml4j/exceptions/InvalidOperationException.html"
                                   title="class in org.apache.poi.openxml4j.exceptions">InvalidOperationException</a>
                        implements Serializable</h3>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.openxml4j.opc</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.openxml4j.opc.PackagePartCollection">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/openxml4j/opc/PackagePartCollection.html"
                                 title="class in org.apache.poi.openxml4j.opc">org.apache.poi.openxml4j.opc.PackagePartCollection</a>
                        extends java.lang.Object implements Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>2515031135957635517L</dd>
                    </dl>
                    <ul class="blockList">
                        <li class="blockList">
                            <h3>Serialized Fields</h3>
                            <ul class="blockList">
                                <li class="blockList">
                                    <h4>registerPartNameStr</h4>
                                    <pre>java.util.Set&lt;E&gt; registerPartNameStr</pre>
                                    <div class="block">HashSet use to store this collection part names as string for
                                        rule
                                        M1.11 optimized checking.
                                    </div>
                                </li>
                                <li class="blockListLast">
                                    <h4>packagePartLookup</h4>
                                    <pre>java.util.TreeMap&lt;K,V&gt; packagePartLookup</pre>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.poifs.crypt.dsig</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.poifs.crypt.dsig.CertificateSecurityException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/poifs/crypt/dsig/CertificateSecurityException.html"
                                 title="class in org.apache.poi.poifs.crypt.dsig">org.apache.poi.poifs.crypt.dsig.CertificateSecurityException</a>
                        extends java.lang.SecurityException implements Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>1L</dd>
                    </dl>
                </li>
                <li class="blockList"><a name="org.apache.poi.poifs.crypt.dsig.ExpiredCertificateSecurityException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/poifs/crypt/dsig/ExpiredCertificateSecurityException.html"
                                 title="class in org.apache.poi.poifs.crypt.dsig">org.apache.poi.poifs.crypt.dsig.ExpiredCertificateSecurityException</a>
                        extends <a href="org/apache/poi/poifs/crypt/dsig/CertificateSecurityException.html"
                                   title="class in org.apache.poi.poifs.crypt.dsig">CertificateSecurityException</a>
                        implements Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>1L</dd>
                    </dl>
                </li>
                <li class="blockList"><a name="org.apache.poi.poifs.crypt.dsig.RevokedCertificateSecurityException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/poifs/crypt/dsig/RevokedCertificateSecurityException.html"
                                 title="class in org.apache.poi.poifs.crypt.dsig">org.apache.poi.poifs.crypt.dsig.RevokedCertificateSecurityException</a>
                        extends <a href="org/apache/poi/poifs/crypt/dsig/CertificateSecurityException.html"
                                   title="class in org.apache.poi.poifs.crypt.dsig">CertificateSecurityException</a>
                        implements Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>1L</dd>
                    </dl>
                </li>
                <li class="blockList"><a name="org.apache.poi.poifs.crypt.dsig.TrustCertificateSecurityException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/poifs/crypt/dsig/TrustCertificateSecurityException.html"
                                 title="class in org.apache.poi.poifs.crypt.dsig">org.apache.poi.poifs.crypt.dsig.TrustCertificateSecurityException</a>
                        extends <a href="org/apache/poi/poifs/crypt/dsig/CertificateSecurityException.html"
                                   title="class in org.apache.poi.poifs.crypt.dsig">CertificateSecurityException</a>
                        implements Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>1L</dd>
                    </dl>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.poifs.filesystem</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.poifs.filesystem.NotOLE2FileException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/poifs/filesystem/NotOLE2FileException.html"
                                 title="class in org.apache.poi.poifs.filesystem">org.apache.poi.poifs.filesystem.NotOLE2FileException</a>
                        extends java.io.IOException implements Serializable</h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.poifs.filesystem.OfficeXmlFileException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/poifs/filesystem/OfficeXmlFileException.html"
                                 title="class in org.apache.poi.poifs.filesystem">org.apache.poi.poifs.filesystem.OfficeXmlFileException</a>
                        extends <a href="org/apache/poi/UnsupportedFileFormatException.html"
                                   title="class in org.apache.poi">UnsupportedFileFormatException</a> implements
                        Serializable</h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.poifs.filesystem.Ole10NativeException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/poifs/filesystem/Ole10NativeException.html"
                                 title="class in org.apache.poi.poifs.filesystem">org.apache.poi.poifs.filesystem.Ole10NativeException</a>
                        extends java.lang.Exception implements Serializable</h3>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.poifs.macros</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.poifs.macros.VBAMacroReader.ModuleMap">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/poifs/macros/VBAMacroReader.ModuleMap.html"
                                 title="class in org.apache.poi.poifs.macros">org.apache.poi.poifs.macros.VBAMacroReader.ModuleMap</a>
                        extends java.util.HashMap&lt;java.lang.String,<a
                                href="org/apache/poi/poifs/macros/VBAMacroReader.ModuleImpl.html"
                                title="class in org.apache.poi.poifs.macros">VBAMacroReader.ModuleImpl</a>&gt;
                        implements Serializable</h3>
                    <ul class="blockList">
                        <li class="blockList">
                            <h3>Serialized Fields</h3>
                            <ul class="blockList">
                                <li class="blockListLast">
                                    <h4>charset</h4>
                                    <pre>java.nio.charset.Charset charset</pre>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.poifs.property</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.poifs.property.DirectoryProperty.PropertyComparator">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/poifs/property/DirectoryProperty.PropertyComparator.html"
                                 title="class in org.apache.poi.poifs.property">org.apache.poi.poifs.property.DirectoryProperty.PropertyComparator</a>
                        extends java.lang.Object implements Serializable</h3>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.sl.draw.geom</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.sl.draw.geom.PresetGeometries">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/sl/draw/geom/PresetGeometries.html"
                                 title="class in org.apache.poi.sl.draw.geom">org.apache.poi.sl.draw.geom.PresetGeometries</a>
                        extends java.util.LinkedHashMap&lt;java.lang.String,<a
                                href="org/apache/poi/sl/draw/geom/CustomGeometry.html"
                                title="class in org.apache.poi.sl.draw.geom">CustomGeometry</a>&gt; implements
                        Serializable</h3>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.ss.formula</h2>
            <ul class="blockList">
                <li class="blockList"><a
                        name="org.apache.poi.ss.formula.CollaboratingWorkbooksEnvironment.WorkbookNotFoundException">
                    <!--   -->
                </a>
                    <h3>Class <a
                            href="org/apache/poi/ss/formula/CollaboratingWorkbooksEnvironment.WorkbookNotFoundException.html"
                            title="class in org.apache.poi.ss.formula">org.apache.poi.ss.formula.CollaboratingWorkbooksEnvironment.WorkbookNotFoundException</a>
                        extends java.lang.Exception implements Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>8787784539811167941L</dd>
                    </dl>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.formula.FormulaParseException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/ss/formula/FormulaParseException.html"
                                 title="class in org.apache.poi.ss.formula">org.apache.poi.ss.formula.FormulaParseException</a>
                        extends java.lang.RuntimeException implements Serializable</h3>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.ss.formula.eval</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.ss.formula.eval.EvaluationException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/ss/formula/eval/EvaluationException.html"
                                 title="class in org.apache.poi.ss.formula.eval">org.apache.poi.ss.formula.eval.EvaluationException</a>
                        extends java.lang.Exception implements Serializable</h3>
                    <ul class="blockList">
                        <li class="blockList">
                            <h3>Serialized Fields</h3>
                            <ul class="blockList">
                                <li class="blockListLast">
                                    <h4>_errorEval</h4>
                                    <pre><a href="org/apache/poi/ss/formula/eval/ErrorEval.html"
                                            title="class in org.apache.poi.ss.formula.eval">ErrorEval</a> _errorEval</pre>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.formula.eval.NotImplementedException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/ss/formula/eval/NotImplementedException.html"
                                 title="class in org.apache.poi.ss.formula.eval">org.apache.poi.ss.formula.eval.NotImplementedException</a>
                        extends java.lang.RuntimeException implements Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>-5840703336495141301L</dd>
                    </dl>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.formula.eval.NotImplementedFunctionException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/ss/formula/eval/NotImplementedFunctionException.html"
                                 title="class in org.apache.poi.ss.formula.eval">org.apache.poi.ss.formula.eval.NotImplementedFunctionException</a>
                        extends <a href="org/apache/poi/ss/formula/eval/NotImplementedException.html"
                                   title="class in org.apache.poi.ss.formula.eval">NotImplementedException</a>
                        implements Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>1208119411557559057L</dd>
                    </dl>
                    <ul class="blockList">
                        <li class="blockList">
                            <h3>Serialized Fields</h3>
                            <ul class="blockList">
                                <li class="blockListLast">
                                    <h4>functionName</h4>
                                    <pre>java.lang.String functionName</pre>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.ss.usermodel</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.ss.usermodel.ExcelGeneralNumberFormat">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/ss/usermodel/ExcelGeneralNumberFormat.html"
                                 title="class in org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel.ExcelGeneralNumberFormat</a>
                        extends java.text.Format implements Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>1L</dd>
                    </dl>
                    <ul class="blockList">
                        <li class="blockList">
                            <h3>Serialized Fields</h3>
                            <ul class="blockList">
                                <li class="blockList">
                                    <h4>decimalSymbols</h4>
                                    <pre>java.text.DecimalFormatSymbols decimalSymbols</pre>
                                </li>
                                <li class="blockList">
                                    <h4>integerFormat</h4>
                                    <pre>java.text.DecimalFormat integerFormat</pre>
                                </li>
                                <li class="blockList">
                                    <h4>decimalFormat</h4>
                                    <pre>java.text.DecimalFormat decimalFormat</pre>
                                </li>
                                <li class="blockListLast">
                                    <h4>scientificFormat</h4>
                                    <pre>java.text.DecimalFormat scientificFormat</pre>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.usermodel.ExcelStyleDateFormatter">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html"
                                 title="class in org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel.ExcelStyleDateFormatter</a>
                        extends java.text.SimpleDateFormat implements Serializable</h3>
                    <ul class="blockList">
                        <li class="blockList">
                            <h3>Serialized Fields</h3>
                            <ul class="blockList">
                                <li class="blockListLast">
                                    <h4>dateToBeFormatted</h4>
                                    <pre>double dateToBeFormatted</pre>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.usermodel.FractionFormat">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/ss/usermodel/FractionFormat.html"
                                 title="class in org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel.FractionFormat</a>
                        extends java.text.Format implements Serializable</h3>
                    <ul class="blockList">
                        <li class="blockList">
                            <h3>Serialized Fields</h3>
                            <ul class="blockList">
                                <li class="blockList">
                                    <h4>exactDenom</h4>
                                    <pre>int exactDenom</pre>
                                </li>
                                <li class="blockList">
                                    <h4>maxDenom</h4>
                                    <pre>int maxDenom</pre>
                                </li>
                                <li class="blockListLast">
                                    <h4>wholePartFormatString</h4>
                                    <pre>java.lang.String wholePartFormatString</pre>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.util</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.util.DocumentFormatException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/util/DocumentFormatException.html"
                                 title="class in org.apache.poi.util">org.apache.poi.util.DocumentFormatException</a>
                        extends java.lang.RuntimeException implements Serializable</h3>
                </li>
                <li class="blockList"><a name="org.apache.poi.util.LittleEndian.BufferUnderrunException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/util/LittleEndian.BufferUnderrunException.html"
                                 title="class in org.apache.poi.util">org.apache.poi.util.LittleEndian.BufferUnderrunException</a>
                        extends java.io.IOException implements Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>8736973884877006145L</dd>
                    </dl>
                </li>
                <li class="blockList"><a name="org.apache.poi.util.RecordFormatException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/util/RecordFormatException.html"
                                 title="class in org.apache.poi.util">org.apache.poi.util.RecordFormatException</a>
                        extends java.lang.RuntimeException implements Serializable</h3>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.xdgf.usermodel.shape.exceptions</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.xdgf.usermodel.shape.exceptions.StopVisiting">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/xdgf/usermodel/shape/exceptions/StopVisiting.html"
                                 title="class in org.apache.poi.xdgf.usermodel.shape.exceptions">org.apache.poi.xdgf.usermodel.shape.exceptions.StopVisiting</a>
                        extends java.lang.RuntimeException implements Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>-4651207777092840750L</dd>
                    </dl>
                </li>
                <li class="blockList"><a name="org.apache.poi.xdgf.usermodel.shape.exceptions.StopVisitingThisBranch">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/xdgf/usermodel/shape/exceptions/StopVisitingThisBranch.html"
                                 title="class in org.apache.poi.xdgf.usermodel.shape.exceptions">org.apache.poi.xdgf.usermodel.shape.exceptions.StopVisitingThisBranch</a>
                        extends java.lang.RuntimeException implements Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>5262319077534717862L</dd>
                    </dl>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.xssf</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.xssf.XLSBUnsupportedException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/xssf/XLSBUnsupportedException.html"
                                 title="class in org.apache.poi.xssf">org.apache.poi.xssf.XLSBUnsupportedException</a>
                        extends <a href="org/apache/poi/UnsupportedFileFormatException.html"
                                   title="class in org.apache.poi">UnsupportedFileFormatException</a> implements
                        Serializable</h3>
                    <dl class="nameValue">
                        <dt>serialVersionUID:</dt>
                        <dd>7849681804154571175L</dd>
                    </dl>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.xssf.binary</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.xssf.binary.XSSFBParseException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/xssf/binary/XSSFBParseException.html"
                                 title="class in org.apache.poi.xssf.binary">org.apache.poi.xssf.binary.XSSFBParseException</a>
                        extends java.lang.RuntimeException implements Serializable</h3>
                </li>
            </ul>
        </li>
        <li class="blockList">
            <h2 title="Package">Package&nbsp;org.apache.poi.xssf.streaming</h2>
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.xssf.streaming.SXSSFFormulaEvaluator.RowFlushedException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/xssf/streaming/SXSSFFormulaEvaluator.RowFlushedException.html"
                                 title="class in org.apache.poi.xssf.streaming">org.apache.poi.xssf.streaming.SXSSFFormulaEvaluator.RowFlushedException</a>
                        extends java.lang.IllegalStateException implements Serializable</h3>
                </li>
                <li class="blockList"><a
                        name="org.apache.poi.xssf.streaming.SXSSFFormulaEvaluator.SheetsFlushedException">
                    <!--   -->
                </a>
                    <h3>Class <a href="org/apache/poi/xssf/streaming/SXSSFFormulaEvaluator.SheetsFlushedException.html"
                                 title="class in org.apache.poi.xssf.streaming">org.apache.poi.xssf.streaming.SXSSFFormulaEvaluator.SheetsFlushedException</a>
                        extends java.lang.IllegalStateException implements Serializable</h3>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="overview-summary.html">Overview</a></li>
        <li>Package</li>
        <li>Class</li>
        <li>Use</li>
        <li><a href="overview-tree.html">Tree</a></li>
        <li><a href="deprecated-list.html">Deprecated</a></li>
        <li><a href="index-all.html">Index</a></li>
        <li><a href="help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="index.html?serialized-form.html" target="_top">Frames</a></li>
        <li><a href="serialized-form.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
